> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mandate

> Mandates allow us to auto-debit the amount from the customer's bank account. Mandate transactions can be of ₹ 2 value for subscriptions with **`billAtStart`** marked as **`false`** or the actual amount of subscription value for those with **`billAtStart`** marked as **`true`**.

In India, a mandate needs a minimum of 24 hours from the bank to get permission to initiate auto-debit. So, if on the 1st of the month, we post a request to the bank to ask permission for an auto-debit amount from the customer's bank account, the bank will notify the customer about the due amount, and after 24 hours we will give permission to invoke auto-debit on the customer's bank account and after that we will be able to deduct the amount. So on the 2nd of the month, we will try to deduct the money from the customer's bank account.

A mandate can be canceled by the end-user using his/her banking app. If a customer has cancelled his mandate we push this event to the mandate web-hook configured by the partner. It is a good practice to check periodically if the mandate linked with the subscription is still in **`ACTIVE`** state or not. If not the customer should be prompted to add a new mandate to make sure the subscription remains active. The partner can ask for a new mandate using [Update Mandate API](https://docs.transactbridge.com/#b7abc54b-bf8a-4569-8f65-46b613600d47).
 This API is used for getting a specific mandate. The partner can pass the _id as txId or pass the ref_id that was used in the initiation of the payment.



## OpenAPI

````yaml /api-reference/Mandate/mand.json post /subscription/v1.0/getMandate
openapi: 3.0.3
info:
  title: Mandate API
  description: API's to add and get mandate information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /subscription/v1.0/getMandate:
    post:
      tags:
        - Mandate
      summary: Get Mandate
      description: >-
        Mandates allow us to auto-debit the amount from the customer's bank
        account. Mandate transactions can be of ₹ 2 value for subscriptions with
        **`billAtStart`** marked as **`false`** or the actual amount of
        subscription value for those with **`billAtStart`** marked as
        **`true`**.


        In India, a mandate needs a minimum of 24 hours from the bank to get
        permission to initiate auto-debit. So, if on the 1st of the month, we
        post a request to the bank to ask permission for an auto-debit amount
        from the customer's bank account, the bank will notify the customer
        about the due amount, and after 24 hours we will give permission to
        invoke auto-debit on the customer's bank account and after that we will
        be able to deduct the amount. So on the 2nd of the month, we will try to
        deduct the money from the customer's bank account.


        A mandate can be canceled by the end-user using his/her banking app. If
        a customer has cancelled his mandate we push this event to the mandate
        web-hook configured by the partner. It is a good practice to check
        periodically if the mandate linked with the subscription is still in
        **`ACTIVE`** state or not. If not the customer should be prompted to add
        a new mandate to make sure the subscription remains active. The partner
        can ask for a new mandate using [Update Mandate
        API](https://docs.transactbridge.com/#b7abc54b-bf8a-4569-8f65-46b613600d47).
         This API is used for getting a specific mandate. The partner can pass the _id as txId or pass the ref_id that was used in the initiation of the payment.
      operationId: Get Mandate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - mandateId
              properties:
                mandateId:
                  type: string
                  description: Used for getting mandate by its _id.
                  format: MongoId
      responses:
        '200':
          description: Specific mandate details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMandate'
components:
  schemas:
    getMandate:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: It will return mandate data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.